Package org.apache.felix.hc.core.impl.scheduling.cron.quartz

## Class QuartzCronScheduler.QuartzThreadPool

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.cron.quartz.QuartzCronScheduler.QuartzThreadPool

All Implemented Interfaces:
  `org.quartz.spi.ThreadPool`

Enclosing class:
  QuartzCronScheduler

    public class QuartzCronScheduler.QuartzThreadPool
    extends Object
    implements org.quartz.spi.ThreadPool

### Constructor Summary

Constructors
`QuartzThreadPool​(HealthCheckExecutorThreadPool healthCheckExecutorThreadPool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `blockForAvailableThreads()` see org.quartz.spi.ThreadPool#blockForAvailableThreads()
`int` `getPoolSize()` see org.quartz.spi.QuartzThreadPool#getPoolSize()
`void` `initialize()` see org.quartz.spi.QuartzThreadPool#initialize()
`boolean` `runInThread​(Runnable job)` see org.quartz.spi.QuartzThreadPool#runInThread(java.lang.Runnable)
`void` `setInstanceId​(String id)` see org.quartz.spi.ThreadPool#setInstanceId(java.lang.String)
`void` `setInstanceName​(String name)` see org.quartz.spi.ThreadPool#setInstanceName(java.lang.String)
`void` `shutdown​(boolean waitForJobsToComplete)` see org.quartz.spi.QuartzThreadPool#shutdown(boolean)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuartzThreadPool

    public QuartzThreadPool​(HealthCheckExecutorThreadPool healthCheckExecutorThreadPool)

### Method Detail

#### getPoolSize

    public int getPoolSize()

see org.quartz.spi.QuartzThreadPool#getPoolSize()

Specified by:
  `getPoolSize` in interface `org.quartz.spi.ThreadPool`

#### initialize

    public void initialize()

see org.quartz.spi.QuartzThreadPool#initialize()

Specified by:
  `initialize` in interface `org.quartz.spi.ThreadPool`

#### setInstanceId

    public void setInstanceId​(String id)

see org.quartz.spi.ThreadPool#setInstanceId(java.lang.String)

Specified by:
  `setInstanceId` in interface `org.quartz.spi.ThreadPool`

#### setInstanceName

    public void setInstanceName​(String name)

see org.quartz.spi.ThreadPool#setInstanceName(java.lang.String)

Specified by:
  `setInstanceName` in interface `org.quartz.spi.ThreadPool`

#### runInThread

    public boolean runInThread​(Runnable job)

see org.quartz.spi.QuartzThreadPool#runInThread(java.lang.Runnable)

Specified by:
  `runInThread` in interface `org.quartz.spi.ThreadPool`

#### blockForAvailableThreads

    public int blockForAvailableThreads()

see org.quartz.spi.ThreadPool#blockForAvailableThreads()

Specified by:
  `blockForAvailableThreads` in interface `org.quartz.spi.ThreadPool`

#### shutdown

    public void shutdown​(boolean waitForJobsToComplete)

see org.quartz.spi.QuartzThreadPool#shutdown(boolean)

Specified by:
  `shutdown` in interface `org.quartz.spi.ThreadPool`